import 'package:flutter/foundation.dart';

@immutable
abstract class CoreCustomer<ID> with DiagnosticableTreeMixin {
  final ID id;

  const CoreCustomer({
    required this.id,
  });

  Map<String, dynamic> toMap();

  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(
      StringProperty(
        'id',
        id.toString(),
      ),
    );
  }
}
