import 'package:flutter/foundation.dart';

@immutable
abstract class CoreItem<ID> with DiagnosticableTreeMixin {
  final ID id;
  final String name;
  final double price;

  const CoreItem({
    required this.id,
    required this.name,
    required this.price,
  });

  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(StringProperty('id', id.toString()));
    properties.add(
      StringProperty('name', name),
    );
    properties.add(
      DoubleProperty('price', price),
    );
  }
}
